imagecreatefromxbm
imagecreatetruecolor
GD Functions
PHP Manual

# imagecreatefromxpm

(PHP 4 >= 4.0.1, PHP 5)

imagecreatefromxpm — Create a new image from file or URL

### Description

resource imagecreatefromxpm ( string `$filename` )

imagecreatefromxpm() returns an image identifier representing the image obtained from the given filename.

Tip

A URL can be used as a filename with this function if the fopen wrappers have been enabled. See fopen() for more details on how to specify the filename and List of Supported Protocols/Wrappers for a list of supported URL protocols.

### Parameters

`filename`

  Path to the XPM image

### Return Values

Returns an image resource identifier on success, `FALSE` on errors.

### Return Values

> Note: This function is only available if PHP is compiled with the bundled version of the GD library.

> Note: This function is not implemented on Windows platforms.

imagecreatefromxbm
imagecreatetruecolor
GD Functions
PHP Manual